Berkeley DB version 5.3.21

## com.sleepycat.db
Class CompactStats

    java.lang.Object
      com.sleepycat.db.CompactStats

    public class CompactStats

extends Object

Statistics returned by a `Database.compact(com.sleepycat.db.Transaction, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.DatabaseEntry, com.sleepycat.db.CompactConfig)` operation.

Method Summary
`int` `getDeadlock()` If no transaction parameter was specified to `Database.compact`, the number of deadlocks which occurred.
`int` `getEmptyBuckets()` The number of empty hash buckets that were found the compaction phase.
`int` `getLevels()` The number of levels removed from the Btree or Recno database during the compaction phase.
`int` `getPagesExamine()` The number of database pages reviewed during the compaction phase.
`int` `getPagesFree()` The number of database pages free during the compaction phase.
`int` `getPagesTruncated()` The number of database pages returned to the filesystem.
`String` `toString()` For convenience, the CompactStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getEmptyBuckets

    public int getEmptyBuckets()

  The number of empty hash buckets that were found the compaction phase.

### getPagesFree

    public int getPagesFree()

  The number of database pages free during the compaction phase.

### getPagesExamine

    public int getPagesExamine()

  The number of database pages reviewed during the compaction phase.

### getLevels

    public int getLevels()

  The number of levels removed from the Btree or Recno database during the compaction phase.

### getDeadlock

    public int getDeadlock()

  If no transaction parameter was specified to `Database.compact`, the number of deadlocks which occurred.

### getPagesTruncated

    public int getPagesTruncated()

  The number of database pages returned to the filesystem.

### toString

    public String toString()

  For convenience, the CompactStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Berkeley DB version 5.3.21

Copyright (c) 1996, 2012 Oracle and/or its affiliates. All rights reserved.